{"models":[{"endpoint_id":"fal-ai/ltx-video-13b-distilled/image-to-video","metadata":{"display_name":"LTX Video-0.9.7 13B Distilled","category":"image-to-video","description":"Generate videos from prompts and images using LTX Video-0.9.7 13B Distilled and custom LoRA","status":"active","tags":["video","ltx-video","image-to-video"],"updated_at":"2026-07-13T19:05:24.786Z","is_favorited":null,"thumbnail_url":"https://v3b.fal.media/files/b/0a9f922a/E8s8t2FBPrzze7IbGqvtY_h2ZGIzJR.png","model_url":"https://fal.run/fal-ai/ltx-video-13b-distilled/image-to-video","license_type":"commercial","date":"2025-05-17T01:59:46.017Z","group":{"key":"ltx-video-13b-distilled","label":"Image to Video"},"highlighted":false,"kind":"inference","pinned":false,"training_endpoint_ids":["fal-ai/ltx-video-trainer"]},"openapi":{"openapi":"3.0.4","info":{"title":"Queue OpenAPI for fal-ai/ltx-video-13b-distilled/image-to-video","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/ltx-video-13b-distilled/image-to-video queue.","x-fal-metadata":{"endpointId":"fal-ai/ltx-video-13b-distilled/image-to-video","category":"image-to-video","thumbnailUrl":"https://v3b.fal.media/files/b/0a9f922a/E8s8t2FBPrzze7IbGqvtY_h2ZGIzJR.png","playgroundUrl":"https://fal.ai/models/fal-ai/ltx-video-13b-distilled/image-to-video","documentationUrl":"https://fal.ai/models/fal-ai/ltx-video-13b-distilled/image-to-video/api","about":"Generate a video from a prompt and an image."}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"LtxVideo13bDistilledImageToVideoInput":{"required":["prompt","image_url"],"properties":{"num_frames":{"maximum":1441,"title":"Number of Frames","examples":[121],"default":121,"minimum":9,"description":"The number of frames in the video.","type":"integer"},"loras":{"default":[],"title":"Loras","items":{"$ref":"#/components/schemas/LoRAWeight"},"description":"LoRA weights to use for generation","type":"array"},"seed":{"title":"Seed","anyOf":[{"type":"integer"},{"type":"null"}],"description":"Random seed for generation"},"reverse_video":{"default":false,"title":"Reverse Video","examples":[false],"description":"Whether to reverse the video.","type":"boolean"},"aspect_ratio":{"default":"auto","title":"Aspect Ratio","examples":["auto"],"enum":["9:16","1:1","16:9","auto"],"description":"The aspect ratio of the video.","type":"string"},"second_pass_num_inference_steps":{"maximum":12,"title":"Second Pass Number of Inference Steps","examples":[8],"default":8,"minimum":2,"description":"Number of inference steps during the second pass.","type":"integer"},"enable_safety_checker":{"default":true,"title":"Enable Safety Checker","examples":[true],"description":"Whether to enable the safety checker. Disabling it requires account authorization; unauthorized requests are always checked.","type":"boolean"},"expand_prompt":{"default":false,"title":"Expand Prompt","examples":[false],"description":"Whether to expand the prompt using a language model.","type":"boolean"},"first_pass_num_inference_steps":{"maximum":12,"title":"Number of Inference Steps","examples":[8],"default":8,"minimum":2,"description":"Number of inference steps during the first pass.","type":"integer"},"tone_map_compression_ratio":{"default":0,"title":"Tone Map Compression Ratio","maximum":1,"description":"The compression ratio for tone mapping. This is used to compress the dynamic range of the video to improve visual quality. A value of 0.0 means no compression, while a value of 1.0 means maximum compression.","type":"number","multipleOf":0.05,"examples":[0],"minimum":0},"constant_rate_factor":{"maximum":51,"title":"Constant Rate Factor","examples":[29],"default":29,"minimum":0,"description":"The constant rate factor (CRF) to compress input media with. Compressed input media more closely matches the model's training data, which can improve motion quality.","type":"integer"},"image_url":{"title":"Image URL","examples":["https://storage.googleapis.com/falserverless/example_inputs/ltxv-image-input.jpg"],"description":"Image URL for Image-to-Video task","type":"string"},"negative_prompt":{"default":"worst quality, inconsistent motion, blurry, jittery, distorted","title":"Negative Prompt","description":"Negative prompt for generation","type":"string"},"second_pass_skip_initial_steps":{"maximum":11,"title":"Second Pass Skip Initial Steps","examples":[5],"default":5,"minimum":1,"description":"The number of inference steps to skip in the initial steps of the second pass. By skipping some steps at the beginning, the second pass can focus on smaller details instead of larger changes.","type":"integer"},"temporal_adain_factor":{"default":0.5,"title":"Temporal AdaIN Factor","maximum":1,"description":"The factor for adaptive instance normalization (AdaIN) applied to generated video chunks after the first. This can help deal with a gradual increase in saturation/contrast in the generated video by normalizing the color distribution across the video. A high value will ensure the color distribution is more consistent across the video, while a low value will allow for more variation in color distribution.","type":"number","multipleOf":0.05,"examples":[0.5],"minimum":0},"prompt":{"title":"Prompt","examples":["The astronaut gets up and walks away"],"description":"Text prompt to guide generation","type":"string"},"enable_detail_pass":{"default":false,"title":"Enable Detail Pass","examples":[false],"description":"Whether to use a detail pass. If True, the model will perform a second pass to refine the video and enhance details. This incurs a 2.0x cost multiplier on the base price.","type":"boolean"},"resolution":{"default":"720p","title":"Resolution","examples":["720p"],"enum":["480p","720p"],"description":"Resolution of the generated video.","type":"string"},"frame_rate":{"maximum":60,"title":"Frame Rate","examples":[24],"default":24,"minimum":1,"description":"The frame rate of the video.","type":"integer"}},"title":"DistilledImageToVideoInput","x-fal-order-properties":["prompt","negative_prompt","loras","resolution","aspect_ratio","seed","num_frames","first_pass_num_inference_steps","second_pass_num_inference_steps","second_pass_skip_initial_steps","frame_rate","expand_prompt","reverse_video","enable_safety_checker","enable_detail_pass","temporal_adain_factor","tone_map_compression_ratio","constant_rate_factor","image_url"],"type":"object"},"LtxVideo13bDistilledImageToVideoOutput":{"required":["video","prompt","seed"],"properties":{"seed":{"title":"Seed","description":"The seed used for generation.","type":"integer"},"video":{"examples":[{"url":"https://storage.googleapis.com/falserverless/example_outputs/ltxv-image-to-video-output.mp4"}],"$ref":"#/components/schemas/File","description":"The generated video file."},"prompt":{"title":"Prompt","examples":["The astronaut gets up and walks away"],"description":"The prompt used for generation.","type":"string"}},"title":"ImageToVideoOutput","x-fal-order-properties":["video","prompt","seed"],"type":"object"},"LoRAWeight":{"required":["path"],"properties":{"weight_name":{"title":"Weight Name","anyOf":[{"type":"string"},{"type":"null"}],"description":"Name of the LoRA weight. Only used if `path` is a HuggingFace repository, and is only required when the repository contains multiple LoRA weights."},"scale":{"maximum":4,"title":"Scale","default":1,"minimum":0,"description":"Scale of the LoRA weight. This is a multiplier applied to the LoRA weight when loading it.","type":"number"},"path":{"title":"Path","description":"URL or path to the LoRA weights.","type":"string"}},"title":"LoRAWeight","x-fal-order-properties":["path","weight_name","scale"],"type":"object"},"File":{"required":["url"],"properties":{"file_size":{"title":"File Size","examples":[4404019],"anyOf":[{"type":"integer"},{"type":"null"}],"description":"The size of the file in bytes."},"url":{"title":"Url","description":"The URL where the file can be downloaded from.","type":"string"},"file_name":{"title":"File Name","examples":["z9RV14K95DvU.png"],"anyOf":[{"type":"string"},{"type":"null"}],"description":"The name of the file. It will be auto-generated if not provided."},"content_type":{"title":"Content Type","examples":["image/png"],"anyOf":[{"type":"string"},{"type":"null"}],"description":"The mime type of the file."}},"title":"File","x-fal-order-properties":["url","content_type","file_name","file_size"],"type":"object"}}},"paths":{"/fal-ai/ltx-video-13b-distilled/image-to-video/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/ltx-video-13b-distilled/image-to-video/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/ltx-video-13b-distilled/image-to-video":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LtxVideo13bDistilledImageToVideoInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/ltx-video-13b-distilled/image-to-video/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LtxVideo13bDistilledImageToVideoOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/pixverse/v5/transition","metadata":{"display_name":"PixVerse V5 Transition","category":"image-to-video","description":"Create seamless transition between images using PixVerse v5","status":"active","tags":["stylized","transform"],"updated_at":"2026-06-17T18:20:01.178Z","is_favorited":null,"thumbnail_url":"https://storage.googleapis.com/falserverless/gallery/pixverse-v3.5.webp","model_url":"https://fal.run/fal-ai/pixverse/v5/transition","license_type":"commercial","date":"2025-08-23T10:56:18.163Z","group":{"key":"pixverse-5","label":"Transition"},"highlighted":false,"kind":"inference","pinned":false},"openapi":{"openapi":"3.0.4","info":{"title":"Queue OpenAPI for fal-ai/pixverse/v5/transition","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/pixverse/v5/transition queue.","x-fal-metadata":{"endpointId":"fal-ai/pixverse/v5/transition","category":"image-to-video","thumbnailUrl":"https://storage.googleapis.com/falserverless/gallery/pixverse-v3.5.webp","playgroundUrl":"https://fal.ai/models/fal-ai/pixverse/v5/transition","documentationUrl":"https://fal.ai/models/fal-ai/pixverse/v5/transition/api","about":"Create Transition V5"}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"PixverseV5TransitionInput":{"title":"TransitionRequest","properties":{"first_image_url":{"description":"URL of the image to use as the first frame","title":"First Image Url","type":"string","examples":["https://v3.fal.media/files/zebra/owQh2DAzk8UU7J02nr5RY_Co2P4boLv6meIZ5t9gKvL_8685da151df343ab8bf82165c928e2a5.jpg"]},"seed":{"title":"Seed","anyOf":[{"type":"integer"},{"type":"null"}],"description":"\n            The same seed and the same prompt given to the same version of the model\n            will output the same video every time.\n        "},"prompt":{"description":"The prompt for the transition. Limited to 2048 UTF-8 encoded bytes. Because the limit counts bytes rather than characters, emoji and non-Latin or accented characters (which use multiple bytes each) can push a visually short prompt over the cap.","title":"Prompt","type":"string","examples":["Scene slowly transition into cat swimming under water"]},"aspect_ratio":{"default":"16:9","title":"Aspect Ratio","enum":["16:9","4:3","1:1","3:4","9:16"],"type":"string","description":"The aspect ratio of the generated video"},"negative_prompt":{"default":"","description":"Negative prompt to be used for the generation. Limited to 2048 UTF-8 encoded bytes. Because the limit counts bytes rather than characters, emoji and non-Latin or accented characters (which use multiple bytes each) can push a visually short prompt over the cap.","title":"Negative Prompt","type":"string","examples":["blurry, low quality, low resolution, pixelated, noisy, grainy, out of focus, poorly lit, poorly exposed, poorly composed, poorly framed, poorly cropped, poorly color corrected, poorly color graded"]},"duration":{"default":"5","title":"Duration","enum":["5","8"],"type":"string","description":"The duration of the generated video in seconds"},"style":{"title":"Style","anyOf":[{"enum":["anime","3d_animation","clay","comic","cyberpunk"],"type":"string"},{"type":"null"}],"description":"The style of the generated video"},"end_image_url":{"description":"URL of the image to use as the last frame","examples":["https://v3.fal.media/files/kangaroo/RgedFs_WSnq5BgER7qDx1_ONrbTJ1YAGXz-9JnSsBoB_bdc8750387734bfe940319f469f7b0b2.jpg"],"title":"End Image Url","type":"string"},"resolution":{"default":"720p","title":"Resolution","enum":["360p","540p","720p","1080p"],"type":"string","description":"The resolution of the generated video"}},"required":["prompt","first_image_url","end_image_url"],"type":"object","x-fal-order-properties":["prompt","aspect_ratio","resolution","duration","negative_prompt","style","seed","first_image_url","end_image_url"]},"PixverseV5TransitionOutput":{"title":"TransitionOutputV5","properties":{"video":{"$ref":"#/components/schemas/File","examples":[{"content_type":"video/mp4","file_size":3890360,"url":"https://storage.googleapis.com/falserverless/model_tests/video_models/output-2.mp4","file_name":"output.mp4"}],"description":"The generated video"}},"required":["video"],"type":"object","x-fal-order-properties":["video"]},"File":{"title":"File","properties":{"content_type":{"title":"Content Type","anyOf":[{"type":"string"},{"type":"null"}],"examples":["image/png"],"description":"The mime type of the file."},"file_size":{"title":"File Size","anyOf":[{"type":"integer"},{"type":"null"}],"examples":[4404019],"description":"The size of the file in bytes."},"url":{"title":"Url","type":"string","description":"The URL where the file can be downloaded from."},"file_name":{"title":"File Name","anyOf":[{"type":"string"},{"type":"null"}],"examples":["z9RV14K95DvU.png"],"description":"The name of the file. It will be auto-generated if not provided."}},"required":["url"],"type":"object","x-fal-order-properties":["url","content_type","file_name","file_size"]}}},"paths":{"/fal-ai/pixverse/v5/transition/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/pixverse/v5/transition/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/pixverse/v5/transition":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PixverseV5TransitionInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/pixverse/v5/transition/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PixverseV5TransitionOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/pixverse/v5.5/effects","metadata":{"display_name":"PixVerse V5.5 Effects","category":"image-to-video","description":"Pixverse Effects","status":"active","tags":[],"updated_at":"2026-06-24T11:22:27.701Z","is_favorited":null,"thumbnail_url":"https://v3b.fal.media/files/b/0a9f922e/OQxt500_isDiJxo5EKggy_xJRYm9gx.png","model_url":"https://fal.run/fal-ai/pixverse/v5.5/effects","license_type":"commercial","date":"2025-12-02T08:44:21.318Z","highlighted":false,"kind":"inference","pinned":false},"openapi":{"openapi":"3.0.4","info":{"title":"Queue OpenAPI for fal-ai/pixverse/v5.5/effects","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/pixverse/v5.5/effects queue.","x-fal-metadata":{"endpointId":"fal-ai/pixverse/v5.5/effects","category":"image-to-video","thumbnailUrl":"https://v3b.fal.media/files/b/0a9f922e/OQxt500_isDiJxo5EKggy_xJRYm9gx.png","playgroundUrl":"https://fal.ai/models/fal-ai/pixverse/v5.5/effects","documentationUrl":"https://fal.ai/models/fal-ai/pixverse/v5.5/effects/api","about":"Create Effect Video V5 5"}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"PixverseV55EffectsInput":{"title":"EffectInputV5_5","properties":{"effect":{"title":"Effect","enum":["Kiss Me AI","Kiss","Muscle Surge","Warmth of Jesus","Anything, Robot","The Tiger Touch","Hug","Holy Wings","Microwave","Zombie Mode","Squid Game","Baby Face","Black Myth: Wukong","Long Hair Magic","Leggy Run","Fin-tastic Mermaid","Punch Face","Creepy Devil Smile","Thunder God","Eye Zoom Challenge","Who's Arrested?","Baby Arrived","Werewolf Rage","Bald Swipe","BOOM DROP","Huge Cutie","Liquid Metal","Sharksnap!","Dust Me Away","3D Figurine Factor","Bikini Up","My Girlfriends","My Boyfriends","Subject 3 Fever","Earth Zoom","Pole Dance","Vroom Dance","GhostFace Terror","Dragon Evoker","Skeletal Bae","Summoning succubus","Halloween Voodoo Doll","3D Naked-Eye AD","Package Explosion","Dishes Served","Ocean ad","Supermarket AD","Tree doll","Come Feel My Abs","The Bicep Flex","London Elite Vibe","Flora Nymph Gown","Christmas Costume","It's Snowy","Reindeer Cruiser","Snow Globe Maker","Pet Christmas Outfit","Adopt a Polar Pal","Cat Christmas Box","Starlight Gift Box","Xmas Poster","Pet Christmas Tree","City Santa Hat","Stocking Sweetie","Christmas Night","Xmas Front Page Karma","Grinch's Xmas Hijack","Giant Product","Truck Fashion Shoot","Beach AD","Shoal Surround","Mechanical Assembly","Lighting AD","Billboard AD","Product close-up","Parachute Delivery","Dreamlike Cloud","Macaron Machine","Poster AD","Truck AD","Graffiti AD","3D Figurine Factory","The Exclusive First Class","Art Zoom Challenge","I Quit","Hitchcock Dolly Zoom","Smell the Lens","I believe I can fly","Strikout Dance","Courtside Cam","Pit Crew Moment","K-Baseball Sprint","Toddler Doodle","Idol Ending","Apex Dance","OmniHero Forge","Palm Decode","The Age Ripple","My Future Is Limitless","Knee Slide","Epic Goal Save","Sideline Ball Boy","Cup Celebration","Victory Roar","Vuvuzela Fan","World Champion Lift","Tunnel to Captain","Liquid Soccer Morph","Jump Into Crowd 2","Golden Pitch Crasher","Stadium Fan Cam","Broadcast Moto GP","The Grotesque Clay","Rookie Star Card","The Final Hug","Sharp Post-Match Comment","Street Maverick","Pitch Legend","One Step At A Time","Birthday Mirror","Superstar Lobby","Final Battle Room","Top of the World","Mini Me Unboxed","WonderPOP Surprise","White Chicks","Kiss me","What a Day","The Last Leap at Sunset","Tiny Sticker Chef Chaos","Mini Squeeze Toy","Tearful Gunman","Street Fashion Caricature","Mini Me Makeover","Street Art Awakening","Hug Together","ACAI dance Duet","PUBG Winner Hit!","Blocky Mini-Me","Cheat Day Busted","MiniSocial Recharge","My Little Perler Charm","Where did this cobweb come from?","Holy Beast Summoning Technique","IT'S THE FIRST OF THE MONTH","Pet Editorial","Three lifetime bond","Pixel World","Mint in Box","Hands up, Hand","Flora Nymph Go","Somber Embrace","Beam me up","Suit Swagger"],"type":"string","description":"The effect to apply to the video"},"image_url":{"description":"Optional URL of the image to use as the first frame. If not provided, generates from text","examples":["https://v3.fal.media/files/koala/q5ahL3KS7ikt3MvpNUG8l_image%20(72).webp"],"title":"Image Url","type":"string"},"thinking_type":{"title":"Thinking Type","anyOf":[{"enum":["enabled","disabled","auto"],"type":"string"},{"type":"null"}],"description":"Prompt optimization mode: 'enabled' to optimize, 'disabled' to turn off, 'auto' for model decision"},"negative_prompt":{"default":"","title":"Negative Prompt","type":"string","description":"Negative prompt to be used for the generation. Limited to 2048 UTF-8 encoded bytes. Because the limit counts bytes rather than characters, emoji and non-Latin or accented characters (which use multiple bytes each) can push a visually short prompt over the cap."},"duration":{"default":"5","title":"Duration","enum":["5","8","10"],"type":"string","description":"The duration of the generated video in seconds"},"resolution":{"default":"720p","title":"Resolution","enum":["360p","540p","720p","1080p"],"type":"string","description":"The resolution of the generated video."}},"required":["effect","image_url"],"type":"object","x-fal-order-properties":["effect","image_url","resolution","duration","negative_prompt","thinking_type"]},"PixverseV55EffectsOutput":{"title":"EffectOutput","properties":{"video":{"$ref":"#/components/schemas/File","examples":[{"content_type":"video/mp4","file_size":3232402,"url":"https://fal.media/files/koala/awGY1lJd7lVsqQeSqjWqn_output.mp4","file_name":"output.mp4"}],"description":"The generated video"}},"required":["video"],"type":"object","x-fal-order-properties":["video"]},"File":{"title":"File","properties":{"content_type":{"title":"Content Type","anyOf":[{"type":"string"},{"type":"null"}],"examples":["image/png"],"description":"The mime type of the file."},"file_size":{"title":"File Size","anyOf":[{"type":"integer"},{"type":"null"}],"examples":[4404019],"description":"The size of the file in bytes."},"url":{"title":"Url","type":"string","description":"The URL where the file can be downloaded from."},"file_name":{"title":"File Name","anyOf":[{"type":"string"},{"type":"null"}],"examples":["z9RV14K95DvU.png"],"description":"The name of the file. It will be auto-generated if not provided."}},"required":["url"],"type":"object","x-fal-order-properties":["url","content_type","file_name","file_size"]}}},"paths":{"/fal-ai/pixverse/v5.5/effects/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/pixverse/v5.5/effects/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/pixverse/v5.5/effects":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PixverseV55EffectsInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/pixverse/v5.5/effects/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PixverseV55EffectsOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/luma-dream-machine/ray-2-flash/image-to-video","metadata":{"display_name":"Luma Ray 2 Flash (Image to Video)","category":"image-to-video","description":"Ray2 Flash is a fast video generative model capable of creating realistic visuals with natural, coherent motion.","status":"active","tags":["motion","transformation"],"updated_at":"2026-04-21T17:51:36.859Z","is_favorited":null,"thumbnail_url":"https://storage.googleapis.com/falserverless/gallery/luma-dream-machine-ray-2.webp","model_url":"https://fal.run/fal-ai/luma-dream-machine/ray-2-flash/image-to-video","date":"2025-03-17T00:00:00.000Z","group":{"key":"luma-dream-machine","label":"Image to Video (Ray 2 Flash)"},"highlighted":false,"pinned":false},"openapi":{"openapi":"3.0.4","info":{"title":"Queue OpenAPI for fal-ai/luma-dream-machine/ray-2-flash/image-to-video","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/luma-dream-machine/ray-2-flash/image-to-video queue.","x-fal-metadata":{"endpointId":"fal-ai/luma-dream-machine/ray-2-flash/image-to-video","category":"image-to-video","thumbnailUrl":"https://storage.googleapis.com/falserverless/gallery/luma-dream-machine-ray-2.webp","playgroundUrl":"https://fal.ai/models/fal-ai/luma-dream-machine/ray-2-flash/image-to-video","documentationUrl":"https://fal.ai/models/fal-ai/luma-dream-machine/ray-2-flash/image-to-video/api","about":"Luma's state of the art Ray2 model for image-to-video generation."}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"LumaDreamMachineRay2FlashImageToVideoInput":{"type":"object","x-fal-order-properties":["prompt","image_url","end_image_url","aspect_ratio","loop","resolution","duration"],"properties":{"image_url":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Initial image to start the video from. Can be used together with end_image_url.","title":"Image Url","examples":["https://storage.googleapis.com/falserverless/model_tests/wan/dragon-warrior.jpg"]},"aspect_ratio":{"type":"string","enum":["16:9","9:16","4:3","3:4","21:9","9:21"],"default":"16:9","title":"Aspect Ratio","description":"The aspect ratio of the generated video"},"prompt":{"examples":["A stylish woman walks down a Tokyo street filled with warm glowing neon and animated city signage."],"maxLength":5000,"type":"string","title":"Prompt","minLength":3},"resolution":{"type":"string","enum":["540p","720p","1080p"],"default":"540p","title":"Resolution","description":"The resolution of the generated video (720p costs 2x more, 1080p costs 4x more)"},"loop":{"type":"boolean","default":false,"title":"Loop","description":"Whether the video should loop (end of video is blended with the beginning)"},"duration":{"type":"string","enum":["5s","9s"],"default":"5s","title":"Duration","description":"The duration of the generated video"},"end_image_url":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Final image to end the video with. Can be used together with image_url.","title":"End Image Url"}},"required":["prompt"],"title":"Ray2ImageToVideoRequest"},"LumaDreamMachineRay2FlashImageToVideoOutput":{"type":"object","x-fal-order-properties":["video"],"properties":{"video":{"examples":[{"url":"https://v3.fal.media/files/zebra/9aDde3Te2kuJYHdR0Kz8R_output.mp4"}],"$ref":"#/components/schemas/File","description":"URL of the generated video"}},"required":["video"],"title":"Ray2I2VOutput"},"File":{"type":"object","x-fal-order-properties":["url","content_type","file_name","file_size"],"properties":{"content_type":{"anyOf":[{"type":"string"},{"type":"null"}],"examples":["image/png"],"description":"The mime type of the file.","title":"Content Type"},"file_name":{"anyOf":[{"type":"string"},{"type":"null"}],"examples":["z9RV14K95DvU.png"],"description":"The name of the file. It will be auto-generated if not provided.","title":"File Name"},"file_size":{"anyOf":[{"type":"integer"},{"type":"null"}],"examples":[4404019],"description":"The size of the file in bytes.","title":"File Size"},"url":{"type":"string","description":"The URL where the file can be downloaded from.","title":"Url"}},"required":["url"],"title":"File"}}},"paths":{"/fal-ai/luma-dream-machine/ray-2-flash/image-to-video/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/luma-dream-machine/ray-2-flash/image-to-video/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/luma-dream-machine/ray-2-flash/image-to-video":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LumaDreamMachineRay2FlashImageToVideoInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/luma-dream-machine/ray-2-flash/image-to-video/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LumaDreamMachineRay2FlashImageToVideoOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/ltx-video/image-to-video","metadata":{"display_name":"LTX Video (preview)","category":"image-to-video","description":"Generate videos from images using LTX Video","status":"active","tags":[],"updated_at":"2026-07-13T19:05:24.786Z","is_favorited":null,"thumbnail_url":"https://storage.googleapis.com/falserverless/model_tests/cogvideox/panda.gif.gif","model_url":"https://fal.run/fal-ai/ltx-video/image-to-video","license_type":"research","date":"2024-11-21T00:00:00.000Z","group":{"key":"ltx-video","label":"Image to Video"},"highlighted":false,"kind":"inference","pinned":false},"openapi":{"openapi":"3.0.4","info":{"title":"Queue OpenAPI for fal-ai/ltx-video/image-to-video","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/ltx-video/image-to-video queue.","x-fal-metadata":{"endpointId":"fal-ai/ltx-video/image-to-video","category":"image-to-video","thumbnailUrl":"https://storage.googleapis.com/falserverless/model_tests/cogvideox/panda.gif.gif","playgroundUrl":"https://fal.ai/models/fal-ai/ltx-video/image-to-video","documentationUrl":"https://fal.ai/models/fal-ai/ltx-video/image-to-video/api","about":"LTX Video - Image to Video generation\n\nSee examples for more inspiration. Use the `image_url` parameter to provide an image to generate the video from. Make sure it is 768x512.\n\n### Instructions\nWhen writing prompts, focus on detailed, chronological descriptions of actions and scenes. Include specific movements,\nappearances, camera angles, and environmental details - all in a single flowing paragraph. Start directly with the action,\nand keep descriptions literal and precise. Think like a cinematographer describing a shot list. Keep within 200 words. For\nbest results, build your prompts using this structure:\n* Start with main action in a single sentence\n* Add specific details about movements and gestures\n* Describe character/object appearances precisely\n* Include background and environment details\n* Specify camera angles and movements\n* Describe lighting and colors\n* Note any changes or sudden events\n\n### Parameter Guide\n* Guidance Scale: Higher values (5-7) for accurate prompt following, lower values (3-5) for more creative freedom\n* Inference Steps: More steps (40+) for quality, fewer steps (20-30) for speed"}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"LtxVideoImageToVideoInput":{"properties":{"prompt":{"title":"Prompt","examples":["A lone astronaut in a white spacesuit with gold-tinted visor drifts weightlessly through a sleek, cylindrical corridor of a spaceship. Their movements are slow and graceful as they gently push off the metallic walls with their gloved hands, rotating slightly as they float from right to left across the frame. The corridor features brushed aluminum panels with blue LED strips running along the ceiling, casting a cool glow on the astronaut's suit. Various cables, pipes, and control panels line the walls. The camera follows the astronaut's movement in a handheld style, slightly swaying and adjusting focus, maintaining a medium shot that captures both the astronaut and the corridor's depth. Small particles of dust catch the light as they float in the zero-gravity environment. The scene appears cinematic, with lens flares occasionally reflecting off the metallic surfaces and the astronaut's visor."],"type":"string","description":"The prompt to generate the video from."},"seed":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Seed","description":"The seed to use for random number generation."},"num_inference_steps":{"maximum":50,"default":30,"minimum":1,"title":"Number of Inference Steps","type":"integer","description":"The number of inference steps to take."},"guidance_scale":{"maximum":10,"default":3,"title":"Guidance Scale","exclusiveMinimum":1,"type":"number","description":"The guidance scale to use."},"negative_prompt":{"default":"low quality, worst quality, deformed, distorted, disfigured, motion smear, motion artifacts, fused fingers, bad anatomy, weird hand, ugly","title":"Negative Prompt","type":"string","description":"The negative prompt to generate the video from."},"image_url":{"title":"Image URL","examples":["https://v3b.fal.media/files/b/0a9f096b/K1kmKVbB5XDufFrz1n1cP_50DK8jif.png"],"type":"string","description":"The URL of the image to generate the video from."}},"title":"ImageToVideoInput","type":"object","x-fal-order-properties":["prompt","negative_prompt","seed","num_inference_steps","guidance_scale","image_url"],"required":["prompt","image_url"]},"LtxVideoImageToVideoOutput":{"properties":{"video":{"title":"Video","$ref":"#/components/schemas/File","description":"The generated video."},"seed":{"title":"Seed","type":"integer","description":"The seed used for random number generation."}},"title":"Output","type":"object","x-fal-order-properties":["video","seed"],"required":["video","seed"]},"File":{"properties":{"file_name":{"anyOf":[{"type":"string"},{"type":"null"}],"examples":["z9RV14K95DvU.png"],"title":"File Name","description":"The name of the file. It will be auto-generated if not provided."},"url":{"title":"Url","type":"string","description":"The URL where the file can be downloaded from."},"file_size":{"anyOf":[{"type":"integer"},{"type":"null"}],"examples":[4404019],"title":"File Size","description":"The size of the file in bytes."},"content_type":{"anyOf":[{"type":"string"},{"type":"null"}],"examples":["image/png"],"title":"Content Type","description":"The mime type of the file."}},"title":"File","type":"object","x-fal-order-properties":["url","content_type","file_name","file_size"],"required":["url"]}}},"paths":{"/fal-ai/ltx-video/image-to-video/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/ltx-video/image-to-video/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/ltx-video/image-to-video":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LtxVideoImageToVideoInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/ltx-video/image-to-video/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LtxVideoImageToVideoOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/pixverse/c1/reference-to-video","metadata":{"display_name":"PixVerse C1 Reference To Video","category":"image-to-video","description":"Generate character-consistent videos from reference images using PixVerse C1, with subject and background references.","status":"active","tags":["video-generation","reference-to-video","pixverse","character-consistency","1080p","audio"],"updated_at":"2026-06-17T18:20:01.178Z","is_favorited":null,"thumbnail_url":"https://v3b.fal.media/files/b/0a95798a/fCnVWzH0_WkQiWSdjqkwO_e7cc6f7bfb2c4bb1b4e7c915466455f8.jpg","model_url":"https://fal.run/fal-ai/pixverse/c1/reference-to-video","license_type":"commercial","date":"2026-04-08T21:07:52.461Z","group":{"key":"pixverse-c1","label":"Reference to Video"},"highlighted":false,"kind":"inference","pinned":false},"openapi":{"openapi":"3.0.4","info":{"title":"Queue OpenAPI for fal-ai/pixverse/c1/reference-to-video","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/pixverse/c1/reference-to-video queue.","x-fal-metadata":{"endpointId":"fal-ai/pixverse/c1/reference-to-video","category":"image-to-video","thumbnailUrl":"https://v3b.fal.media/files/b/0a95798a/fCnVWzH0_WkQiWSdjqkwO_e7cc6f7bfb2c4bb1b4e7c915466455f8.jpg","playgroundUrl":"https://fal.ai/models/fal-ai/pixverse/c1/reference-to-video","documentationUrl":"https://fal.ai/models/fal-ai/pixverse/c1/reference-to-video/api","about":"Reference To Video C1"}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"PixverseC1ReferenceToVideoInput":{"title":"ReferenceToVideoRequestC1","properties":{"image_references":{"examples":[[{"image_url":"https://v3.fal.media/files/zebra/qL93Je8ezvzQgDOEzTjKF_KhGKZTEebZcDw6T5rwQPK_output.png","ref_name":"character","type":"subject"}]],"items":{"$ref":"#/components/schemas/ImageReference"},"title":"Image References","type":"array","description":"List of reference images with type and name. Use @ref_name in the prompt to refer to each reference.","maxItems":7,"minItems":1},"seed":{"title":"Seed","anyOf":[{"type":"integer"},{"type":"null"}],"description":"\n            The same seed and the same prompt given to the same version of the model\n            will output the same video every time.\n        "},"prompt":{"description":"The prompt for the reference-to-video generation. Use @ref_name to refer to uploaded references. Limited to 2048 UTF-8 encoded bytes. Because the limit counts bytes rather than characters, emoji and non-Latin or accented characters (which use multiple bytes each) can push a visually short prompt over the cap.","title":"Prompt","type":"string","examples":["A @character walks through a magical forest"]},"aspect_ratio":{"default":"16:9","title":"Aspect Ratio","enum":["16:9","4:3","1:1","3:4","9:16","2:3","3:2","21:9"],"type":"string","description":"The aspect ratio of the generated video"},"generate_audio_switch":{"default":false,"description":"Enable audio generation (BGM, SFX, dialogue)","title":"Generate Audio Switch","type":"boolean"},"duration":{"default":5,"description":"The duration of the generated video in seconds (1-15)","title":"Duration","minimum":1,"type":"integer","maximum":15},"resolution":{"default":"720p","title":"Resolution","enum":["360p","540p","720p","1080p"],"type":"string","description":"The resolution of the generated video"}},"required":["prompt","image_references"],"type":"object","x-fal-order-properties":["prompt","aspect_ratio","resolution","duration","seed","generate_audio_switch","image_references"]},"PixverseC1ReferenceToVideoOutput":{"title":"ReferenceOutputC1","properties":{"video":{"$ref":"#/components/schemas/File","description":"The generated video file."}},"required":["video"],"type":"object","x-fal-order-properties":["video"]},"ImageReference":{"title":"ImageReference","properties":{"image_url":{"description":"URL of the reference image","title":"Image Url","type":"string","examples":["https://v3.fal.media/files/zebra/qL93Je8ezvzQgDOEzTjKF_KhGKZTEebZcDw6T5rwQPK_output.png"]},"ref_name":{"description":"A short name for this reference. Use @ref_name in the prompt to refer to this image.","title":"Ref Name","type":"string","examples":["character","dog","room"]},"type":{"default":"subject","title":"Type","enum":["subject","background"],"type":"string","description":"Type of reference: 'subject' for character/object references, 'background' for scene/environment references"}},"required":["image_url","ref_name"],"type":"object","x-fal-order-properties":["image_url","type","ref_name"]},"File":{"title":"File","properties":{"content_type":{"title":"Content Type","anyOf":[{"type":"string"},{"type":"null"}],"examples":["image/png"],"description":"The mime type of the file."},"file_size":{"title":"File Size","anyOf":[{"type":"integer"},{"type":"null"}],"examples":[4404019],"description":"The size of the file in bytes."},"url":{"title":"Url","type":"string","description":"The URL where the file can be downloaded from."},"file_name":{"title":"File Name","anyOf":[{"type":"string"},{"type":"null"}],"examples":["z9RV14K95DvU.png"],"description":"The name of the file. It will be auto-generated if not provided."}},"required":["url"],"type":"object","x-fal-order-properties":["url","content_type","file_name","file_size"]}}},"paths":{"/fal-ai/pixverse/c1/reference-to-video/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/pixverse/c1/reference-to-video/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/pixverse/c1/reference-to-video":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PixverseC1ReferenceToVideoInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/pixverse/c1/reference-to-video/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PixverseC1ReferenceToVideoOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/musetalk","metadata":{"display_name":"MuseTalk","category":"image-to-video","description":"MuseTalk is a real-time high quality audio-driven lip-syncing model. Use MuseTalk to animate a face with your own audio.","status":"active","tags":["animation","lip sync","real-time"],"updated_at":"2026-06-24T11:27:59.009Z","is_favorited":null,"thumbnail_url":"https://v3b.fal.media/files/b/0a9f9227/8XcYHHeV-25IQer_NtAT9_VJRe8zYm.png","model_url":"https://fal.run/fal-ai/musetalk","license_type":"commercial","date":"2024-04-11T00:00:00.000Z","highlighted":false,"kind":"inference","pinned":false},"openapi":{"openapi":"3.0.4","info":{"title":"Queue OpenAPI for fal-ai/musetalk","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/musetalk queue.","x-fal-metadata":{"endpointId":"fal-ai/musetalk","category":"image-to-video","thumbnailUrl":"https://v3b.fal.media/files/b/0a9f9227/8XcYHHeV-25IQer_NtAT9_VJRe8zYm.png","playgroundUrl":"https://fal.ai/models/fal-ai/musetalk","documentationUrl":"https://fal.ai/models/fal-ai/musetalk/api","about":"Generate"}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"MusetalkInput":{"x-fal-order-properties":["source_video_url","audio_url"],"required":["source_video_url","audio_url"],"properties":{"source_video_url":{"description":"URL of the source video","title":"Source Video Url","examples":["https://raw.githubusercontent.com/TMElyralab/MuseTalk/main/data/video/sun.mp4"],"type":"string"},"audio_url":{"description":"URL of the audio","title":"Audio Url","examples":["https://raw.githubusercontent.com/TMElyralab/MuseTalk/main/data/audio/sun.wav"],"type":"string"}},"title":"MuseTalkInput","type":"object"},"MusetalkOutput":{"x-fal-order-properties":["video"],"required":["video"],"properties":{"video":{"description":"The generated video file.","$ref":"#/components/schemas/File"}},"title":"MuseTalkOutput","type":"object"},"File":{"x-fal-order-properties":["url","content_type","file_name","file_size"],"required":["url"],"properties":{"file_name":{"description":"The name of the file. It will be auto-generated if not provided.","title":"File Name","examples":["z9RV14K95DvU.png"],"anyOf":[{"type":"string"},{"type":"null"}]},"content_type":{"description":"The mime type of the file.","title":"Content Type","examples":["image/png"],"anyOf":[{"type":"string"},{"type":"null"}]},"url":{"description":"The URL where the file can be downloaded from.","title":"Url","type":"string"},"file_size":{"description":"The size of the file in bytes.","title":"File Size","examples":[4404019],"anyOf":[{"type":"integer"},{"type":"null"}]}},"title":"File","type":"object"}}},"paths":{"/fal-ai/musetalk/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/musetalk/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/musetalk":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MusetalkInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/musetalk/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MusetalkOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"veed/fabric-1.0/fast","metadata":{"display_name":"Fabric 1.0 Fast","category":"image-to-video","description":"VEED Fabric 1.0 is an image-to-video API that turns any image into a talking video","status":"active","tags":["lipsync","avatar",""],"updated_at":"2026-04-23T16:51:43.808Z","is_favorited":null,"thumbnail_url":"https://v3.fal.media/files/zebra/AGRvOvMtrM0o02wz8-hRF_cb5739a5199b49a7971c5319881c6765.jpg","model_url":"https://fal.run/veed/fabric-1.0/fast","license_type":"commercial","date":"2025-10-01T14:00:46.685Z","group":{"key":"fabric-1.0","label":"Image To Video [fast]"},"highlighted":false,"kind":"inference","pinned":false},"openapi":{"openapi":"3.0.4","info":{"title":"Queue OpenAPI for veed/fabric-1.0/fast","version":"1.0.0","description":"The OpenAPI schema for the veed/fabric-1.0/fast queue.","x-fal-metadata":{"endpointId":"veed/fabric-1.0/fast","category":"image-to-video","thumbnailUrl":"https://v3.fal.media/files/zebra/AGRvOvMtrM0o02wz8-hRF_cb5739a5199b49a7971c5319881c6765.jpg","playgroundUrl":"https://fal.ai/models/veed/fabric-1.0/fast","documentationUrl":"https://fal.ai/models/veed/fabric-1.0/fast/api","about":"Fast"}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"Fabric10FastInput":{"required":["image_url","audio_url","resolution"],"title":"FabricOneLipsyncInput","x-fal-order-properties":["image_url","audio_url","resolution"],"type":"object","properties":{"audio_url":{"minLength":1,"format":"uri","title":"Audio Url","maxLength":2083,"type":"string","examples":["https://v3.fal.media/files/elephant/Oz_g4AwQvXtXpUHL3Pa7u_Hope.mp3"]},"image_url":{"minLength":1,"format":"uri","title":"Image Url","maxLength":2083,"type":"string","examples":["https://v3.fal.media/files/koala/NLVPfOI4XL1cWT2PmmqT3_Hope.png"]},"resolution":{"enum":["720p","480p"],"title":"Resolution","type":"string","description":"Resolution"}}},"Fabric10FastOutput":{"required":["video"],"title":"FabricOneOutput","x-fal-order-properties":["video"],"type":"object","properties":{"video":{"$ref":"#/components/schemas/File","examples":[{"content_type":"video/mp4","url":"https://v3.fal.media/files/lion/Yha3swLpHm35hoJCs8oJQ_tmp618_yf2f.mp4"}]}}},"File":{"required":["url"],"title":"File","x-fal-order-properties":["url","content_type","file_name","file_size"],"type":"object","properties":{"file_size":{"description":"The size of the file in bytes.","title":"File Size","anyOf":[{"type":"integer"},{"type":"null"}],"examples":[4404019]},"content_type":{"description":"The mime type of the file.","title":"Content Type","anyOf":[{"type":"string"},{"type":"null"}],"examples":["image/png"]},"file_name":{"description":"The name of the file. It will be auto-generated if not provided.","title":"File Name","anyOf":[{"type":"string"},{"type":"null"}],"examples":["z9RV14K95DvU.png"]},"url":{"title":"Url","type":"string","description":"The URL where the file can be downloaded from."}}}}},"paths":{"/veed/fabric-1.0/fast/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/veed/fabric-1.0/fast/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/veed/fabric-1.0/fast":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fabric10FastInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/veed/fabric-1.0/fast/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Fabric10FastOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/kling-video/v1/standard/ai-avatar","metadata":{"display_name":"Kling AI Avatar","category":"image-to-video","description":"Kling AI Avatar Standard:  Endpoint for creating avatar videos with realistic humans, animals, cartoons, or stylized characters","status":"active","tags":["stylized","transform"],"updated_at":"2026-04-26T22:25:17.147Z","is_favorited":null,"thumbnail_url":"https://v3.fal.media/files/rabbit/me_wmKnQJJevTKvSLGMF7_2948b05301c24578b9d28acb927f9c5c.jpg","model_url":"https://fal.run/fal-ai/kling-video/v1/standard/ai-avatar","license_type":"commercial","date":"2025-09-13T07:34:07.280Z","group":{"key":"Kling-Avatar","label":"Kling AI Avatar Standard"},"highlighted":false,"kind":"inference","pinned":false},"openapi":{"openapi":"3.0.4","info":{"title":"Queue OpenAPI for fal-ai/kling-video/v1/standard/ai-avatar","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/kling-video/v1/standard/ai-avatar queue.","x-fal-metadata":{"endpointId":"fal-ai/kling-video/v1/standard/ai-avatar","category":"image-to-video","thumbnailUrl":"https://v3.fal.media/files/rabbit/me_wmKnQJJevTKvSLGMF7_2948b05301c24578b9d28acb927f9c5c.jpg","playgroundUrl":"https://fal.ai/models/fal-ai/kling-video/v1/standard/ai-avatar","documentationUrl":"https://fal.ai/models/fal-ai/kling-video/v1/standard/ai-avatar/api","about":"Standard Ai Avatar"}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"KlingVideoV1StandardAiAvatarInput":{"required":["image_url","audio_url"],"properties":{"image_url":{"type":"string","examples":["https://storage.googleapis.com/falserverless/example_inputs/kling_ai_avatar_input.jpg"],"title":"Image Url","_fal_ui_field":"image","description":"The URL of the image to use as your avatar"},"prompt":{"default":".","type":"string","title":"Prompt","description":"The prompt to use for the video generation."},"audio_url":{"type":"string","examples":["https://v3.fal.media/files/rabbit/9_0ZG_geiWjZOmn9yscO6_output.mp3"],"title":"Audio Url","_fal_ui_field":"audio","description":"The URL of the audio file."}},"title":"AIAvatarInput","type":"object","x-fal-order-properties":["image_url","audio_url","prompt"]},"KlingVideoV1StandardAiAvatarOutput":{"required":["video","duration"],"properties":{"video":{"$ref":"#/components/schemas/File","description":"The generated video","examples":[{"url":"https://v3.fal.media/files/penguin/ln3x7H1p1jL0Pwo7675NI_output.mp4"}]},"duration":{"title":"Duration","description":"Duration of the output video in seconds.","type":"number"}},"title":"AIAvatarOutput","type":"object","x-fal-order-properties":["video","duration"]},"File":{"required":["url"],"properties":{"content_type":{"title":"Content Type","anyOf":[{"type":"string"},{"type":"null"}],"description":"The mime type of the file.","examples":["image/png"]},"file_size":{"title":"File Size","anyOf":[{"type":"integer"},{"type":"null"}],"description":"The size of the file in bytes.","examples":[4404019]},"url":{"title":"Url","description":"The URL where the file can be downloaded from.","type":"string"},"file_name":{"title":"File Name","anyOf":[{"type":"string"},{"type":"null"}],"description":"The name of the file. It will be auto-generated if not provided.","examples":["z9RV14K95DvU.png"]}},"title":"File","type":"object","x-fal-order-properties":["url","content_type","file_name","file_size"]}}},"paths":{"/fal-ai/kling-video/v1/standard/ai-avatar/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/kling-video/v1/standard/ai-avatar/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/kling-video/v1/standard/ai-avatar":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/KlingVideoV1StandardAiAvatarInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/kling-video/v1/standard/ai-avatar/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/KlingVideoV1StandardAiAvatarOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/live-portrait","metadata":{"display_name":"Live Portrait","category":"image-to-video","description":"Transfer expression from a video to a portrait.","status":"active","tags":["expression","animation"],"updated_at":"2026-04-21T17:50:49.839Z","is_favorited":null,"thumbnail_url":"https://storage.googleapis.com/falserverless/model_tests/live-portrait/XKEmk3mAzGHUjK3qqH-UL.jpeg","model_url":"https://fal.run/fal-ai/live-portrait","github_url":"https://github.com/KwaiVGI/LivePortrait/blob/main/LICENSE","license_type":"commercial","date":"2024-07-09T00:00:00.000Z","group":{"key":"live-portrait","label":"Video"},"highlighted":false,"pinned":false},"openapi":{"openapi":"3.0.4","info":{"title":"Queue OpenAPI for fal-ai/live-portrait","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/live-portrait queue.","x-fal-metadata":{"endpointId":"fal-ai/live-portrait","category":"image-to-video","thumbnailUrl":"https://storage.googleapis.com/falserverless/model_tests/live-portrait/XKEmk3mAzGHUjK3qqH-UL.jpeg","playgroundUrl":"https://fal.ai/models/fal-ai/live-portrait","documentationUrl":"https://fal.ai/models/fal-ai/live-portrait/api","about":"Predict Pose"}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"LivePortraitInput":{"type":"object","x-fal-order-properties":["video_url","image_url","blink","eyebrow","wink","pupil_x","pupil_y","aaa","eee","woo","smile","flag_lip_zero","rotate_pitch","rotate_yaw","rotate_roll","flag_eye_retargeting","flag_lip_retargeting","flag_stitching","flag_relative","flag_pasteback","flag_do_crop","flag_do_rot","dsize","scale","vx_ratio","vy_ratio","batch_size","enable_safety_checker"],"properties":{"flag_eye_retargeting":{"type":"boolean","default":false,"title":"Flag Eye Retargeting","description":"Whether to enable eye retargeting."},"image_url":{"examples":["https://storage.googleapis.com/falserverless/model_tests/live-portrait/XKEmk3mAzGHUjK3qqH-UL.jpeg"],"type":"string","description":"URL of the image to be animated","title":"Image Url"},"flag_lip_retargeting":{"type":"boolean","default":false,"title":"Flag Lip Retargeting","description":"Whether to enable lip retargeting."},"flag_stitching":{"type":"boolean","default":true,"title":"Flag Stitching","description":"Whether to enable stitching. Recommended to set to True."},"batch_size":{"type":"integer","default":32,"title":"Batch Size","description":"Batch size for the model. The larger the batch size, the faster the model will run, but the more memory it will consume."},"rotate_pitch":{"type":"number","minimum":-45,"default":0,"title":"Rotate Pitch","description":"Amount to rotate the face in pitch","maximum":45},"smile":{"type":"number","minimum":-2,"default":0,"title":"Smile","description":"Amount to smile","maximum":2},"flag_pasteback":{"type":"boolean","default":true,"title":"Flag Pasteback","description":"Whether to paste-back/stitch the animated face cropping from the face-cropping space to the original image space."},"flag_do_crop":{"type":"boolean","default":true,"title":"Flag Do Crop","description":"Whether to crop the source portrait to the face-cropping space."},"pupil_x":{"type":"number","minimum":-45,"default":0,"title":"Pupil X","description":"Amount to move pupils horizontally","maximum":45},"blink":{"type":"number","minimum":-30,"default":0,"title":"Blink","description":"Amount to blink the eyes","maximum":30},"vx_ratio":{"type":"number","default":0,"title":"Vx Ratio","description":"Horizontal offset ratio for face crop."},"rotate_yaw":{"type":"number","minimum":-45,"default":0,"title":"Rotate Yaw","description":"Amount to rotate the face in yaw","maximum":45},"woo":{"type":"number","minimum":-100,"default":0,"title":"Woo","description":"Amount to shape mouth in 'woo' position","maximum":100},"dsize":{"type":"integer","default":512,"title":"Dsize","description":"Size of the output image."},"flag_lip_zero":{"type":"boolean","default":true,"title":"Flag Lip Zero","description":"Whether to set the lip to closed state before animation. Only takes effect when flag_eye_retargeting and flag_lip_retargeting are False."},"pupil_y":{"type":"number","minimum":-45,"default":0,"title":"Pupil Y","description":"Amount to move pupils vertically","maximum":45},"wink":{"type":"number","minimum":0,"default":0,"title":"Wink","description":"Amount to wink","maximum":25},"rotate_roll":{"type":"number","minimum":-45,"default":0,"title":"Rotate Roll","description":"Amount to rotate the face in roll","maximum":45},"enable_safety_checker":{"type":"boolean","default":false,"title":"Enable Safety Checker","description":"\n        Whether to enable the safety checker. If enabled, the model will check if the input image contains a face before processing it.\n        The safety checker will process the input image\n        "},"vy_ratio":{"type":"number","default":-0.125,"title":"Vy Ratio","description":"Vertical offset ratio for face crop. Positive values move up, negative values move down."},"flag_relative":{"type":"boolean","default":true,"title":"Flag Relative","description":"Whether to use relative motion."},"eee":{"type":"number","minimum":-40,"default":0,"title":"Eee","description":"Amount to shape mouth in 'eee' position","maximum":40},"video_url":{"examples":["https://storage.googleapis.com/falserverless/model_tests/live-portrait/liveportrait-example.mp4"],"type":"string","description":"URL of the video to drive the lip syncing.","title":"Video Url"},"aaa":{"type":"number","minimum":-200,"default":0,"title":"Aaa","description":"Amount to open mouth in 'aaa' shape","maximum":200},"scale":{"type":"number","default":2.3,"title":"Scale","description":"Scaling factor for the face crop."},"flag_do_rot":{"type":"boolean","default":true,"title":"Flag Do Rot","description":"Whether to conduct the rotation when flag_do_crop is True."},"eyebrow":{"type":"number","minimum":-30,"default":0,"title":"Eyebrow","description":"Amount to raise or lower eyebrows","maximum":30}},"required":["video_url","image_url"],"title":"LivePortraitInput"},"LivePortraitOutput":{"type":"object","x-fal-order-properties":["video"],"properties":{"video":{"$ref":"#/components/schemas/File","description":"The generated video file."}},"required":["video"],"title":"LivePortraitOutput"},"File":{"type":"object","x-fal-order-properties":["url","content_type","file_name","file_size"],"properties":{"content_type":{"anyOf":[{"type":"string"},{"type":"null"}],"examples":["image/png"],"description":"The mime type of the file.","title":"Content Type"},"file_name":{"anyOf":[{"type":"string"},{"type":"null"}],"examples":["z9RV14K95DvU.png"],"description":"The name of the file. It will be auto-generated if not provided.","title":"File Name"},"url":{"type":"string","description":"The URL where the file can be downloaded from.","title":"Url"},"file_size":{"anyOf":[{"type":"integer"},{"type":"null"}],"examples":[4404019],"description":"The size of the file in bytes.","title":"File Size"}},"required":["url"],"title":"File"}}},"paths":{"/fal-ai/live-portrait/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/live-portrait/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/live-portrait":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LivePortraitInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/live-portrait/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LivePortraitOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}}],"next_cursor":"MTM","has_more":true}
